
QGIS Application - Bug report #8133

qgis crashes on exit if adding layers from DB manager

2013-06-21 03:15 PM - Giovanni Manghi

Status: Closed

Priority: Severe/Regression

Assignee:

Category: DB Manager

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data:Yes Copied to github as #: 16963

Description

a similar issue was fixed a few days ago and affected the browser.

History

#1 - 2013-06-29 11:06 AM - Salvatore Larosa

Hi Giovanni,

please could you provide any stacktrace for the crash ?

might this be related to #8102 ?

here on exit it only crashes with the stacktrace of #8102.

#2 - 2013-06-30 09:09 AM - Giovanni Manghi

Salvatore Larosa wrote:

Hi Giovanni,

please could you provide any stacktrace for the crash ?

might this be related to #8102 ?

here on exit it only crashes with the stacktrace of #8102.

I don't know if it is the same issue. I still see it, and it does not happen if the same postgis layer is added using the "add postgis layer" dialog instead.

#3 - 2013-07-01 07:44 AM - Salvatore Larosa

I am unable to debug the crash to provide additional info because 

I am getting the #8102 crash, but my colleague gets the crash on Windows. 

thus I don't know if this may only be related to Windows OS.

#4 - 2013-07-04 10:10 AM - Matthias Kuhn

- Status changed from Open to Feedback
#8102 is "fixed" (Python GC is not run on exit for older affected SIP versions)

Can you check if this issue is also solved or if needs further investigation.

#5 - 2013-07-05 02:07 AM - Giovanni Manghi

- Resolution set to fixed

- Status changed from Feedback to Closed

I cannot replicate the issue anynmore, so seems really fixed! thanks!
